/*
 * cam.h
 *
 *  Created on: 2014/01/01
 *      Author: Ichiro Shirasaka
 */

#include "i2c.h"
#include "type.h"

extern volatile uint32_t I2CCount;
extern volatile uint8_t I2CMasterBuffer[BUFSIZE];
extern volatile uint8_t I2CSlaveBuffer[BUFSIZE];
extern volatile uint32_t I2CMasterState;
extern volatile uint32_t I2CReadLength, I2CWriteLength;

void delay_count(void);
void delay_ms(int);
void GPIOInit(void);
void init_cam(void);
void write_cam(unsigned char reg , unsigned char data);
void change_res(int res);
